Subject: Re: [PATCH v6 00/30] Builtin FSMonitor Part 2

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Mar 2022 11:05:23 -0800

"Jeff Hostetler via GitGitGadget" <[email-masked]> writes:

> Here is V6 of Part 2 of my builtin FSmonitor series.
>
> This version contains mostly cleanup based on feedback from V5. Of note:
>
>  * I squashed in the 1_file fix for p7519.
>  * I squashed in a commit from part 3 to optionally print the "running
>    daemon on..." message on stderr.
>  * I added a note to the documentation about incompatible changes around
>    core.fsmonitor.
>  * Removed/rephrased some obsolete NEEDSWORK items.
>
> Tao has an ongoing parallel series to fix test-chmtime on Windows.
> https://lore.kernel.org/all/[email-masked]/
>
> If that lands first, we should be able to drop my 't/helper/test-chmtime:
> skip directories on Windows' commit.
>
> A followup Part 3 will contain additional refinements to the daemon and
> additional tests. I drew the line here between Part 2 and 3 to make it
> easier to review.

Hopefully this round will quickly be reviewed solidly to merge it
down to 'next' and lower.

Will queue.

Thanks.